#!/bin/bash

echoc()
{
    echo -e '\E[33;40m'"\033[1m${1}\033[0m" ;
}

echoc "+++++++++++++++ UPDATE $1 +++++++++++++++++++++"
echo

MOUNTDEV=$1
MOUNTPOINT=$2

mkdir -p ${MOUNTPOINT}
umount -l ${MOUNTPOINT} && e2fsck -p ${MOUNTDEV}

echoc "--- extract firmware"
if [ -e /var/run/cpxxsys.tgz ] ; then
	mount ${MOUNTDEV} ${MOUNTPOINT} -t ext2
	gunzip -c /var/run/cpxxsys.tgz | tar -C${MOUNTPOINT} -xvf - 
	sync
	umount -l ${MOUNTPOINT} && e2fsck -p ${MOUNTDEV}
else
	echoc "!!! cpxxsys.tgz not exist ; exit !"
	exit 1 ;
fi



lilo_error ()
{
	echoc "!!! lilo error !!! " 
	mount /dev/hdc1 /boot -t ext2 -oremount,ro
	exit 1 ;
}

echoc "--- prepare lilo"
mount /dev/hdc1 /boot  -t ext2 -oremount,rw || exit 1 ;

if [ -e /var/run/vmlinuz ] ; then
	cp /var/run/vmlinuz /boot/vmlinuz || lilo_error ;
	lilo -C /etc/lilo.load || lilo_error ;
	lilo -R linux || lilo_error ;
	sync
else
	echoc "!!! vmlinuz not exist !!!"
fi

mount /dev/hdc1 /boot -t ext2 -oremount,ro

echoc "UPDATE DONE"


